package com.zhentao.controller;

import com.zhentao.domain.GooseUser;
import com.zhentao.service.GooseUserService;
import com.zhentao.util.ResultVo;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.authc.IncorrectCredentialsException;
import org.apache.shiro.authc.UnknownAccountException;
import org.apache.shiro.authc.UsernamePasswordToken;
import org.apache.shiro.subject.Subject;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/user")
public class LoginController {
    @Resource
    private GooseUserService gooseUserService;
    @RequestMapping("/login")
    public ResultVo login(@RequestBody GooseUser gooseUser){
        return gooseUserService.login(gooseUser);
    }
    @RequestMapping("/register")
    public ResultVo register(@RequestBody GooseUser gooseUser){
        return gooseUserService.register(gooseUser);
    }
}